## org.apache.aries.subsystem.core.archive
Class ExportPackageHeader.Clause

    java.lang.Object
      org.apache.aries.subsystem.core.archive.ExportPackageHeader.Clause

All Implemented Interfaces:
  Clause

Enclosing class:
  ExportPackageHeader

    public static class ExportPackageHeader.Clause

extends Object
implements Clause

Field Summary
`static String` `ATTRIBUTE_VERSION`
`static String` `DIRECTIVE_EXCLUDE`
`static String` `DIRECTIVE_INCLUDE`
`static String` `DIRECTIVE_MANDATORY`
`static String` `DIRECTIVE_USES`

Constructor Summary
`ExportPackageHeader.Clause(String clause)`

Method Summary
`Attribute` `getAttribute(String name)`
`Collection<Attribute>` `getAttributes()`
`Directive` `getDirective(String name)`
`Collection<Directive>` `getDirectives()`
`Collection<String>` `getPackageNames()`
`Parameter` `getParameter(String name)`
`Collection<Parameter>` `getParameters()`
`String` `getPath()`
`Collection<ExportPackageCapability>` `toCapabilities(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_VERSION

    public static final String ATTRIBUTE_VERSION

See Also:
  Constant Field Values

### DIRECTIVE_EXCLUDE

    public static final String DIRECTIVE_EXCLUDE

See Also:
  Constant Field Values

### DIRECTIVE_INCLUDE

    public static final String DIRECTIVE_INCLUDE

See Also:
  Constant Field Values

### DIRECTIVE_MANDATORY

    public static final String DIRECTIVE_MANDATORY

See Also:
  Constant Field Values

### DIRECTIVE_USES

    public static final String DIRECTIVE_USES

See Also:
  Constant Field Values

Constructor Detail

### ExportPackageHeader.Clause

    public ExportPackageHeader.Clause(String clause)

Method Detail

### getAttribute

    public Attribute getAttribute(String name)

  Specified by:
    `getAttribute` in interface `Clause`

### getAttributes

    public Collection<Attribute> getAttributes()

  Specified by:
    `getAttributes` in interface `Clause`

### getDirective

    public Directive getDirective(String name)

  Specified by:
    `getDirective` in interface `Clause`

### getDirectives

    public Collection<Directive> getDirectives()

  Specified by:
    `getDirectives` in interface `Clause`

### getPackageNames

    public Collection<String> getPackageNames()

### getParameter

    public Parameter getParameter(String name)

  Specified by:
    `getParameter` in interface `Clause`

### getParameters

    public Collection<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Clause`

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `Clause`

### toCapabilities

    public Collection<ExportPackageCapability> toCapabilities(org.osgi.resource.Resource resource)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.